OLX user
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-olx-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "User id, uuid or profile URL, e.g. 888517085"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-olx-users"
payload = { "user": "User id, uuid or profile URL, e.g. 888517085" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: 'User id, uuid or profile URL, e.g. 888517085'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-olx-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "olx_user",
"domain": "olx.pl",
"user": "2361055558",
"user_id": "2361055558",
"human": "# OLX user\n\n- **Domain:** olx.pl\n- **User:** 2361055558\n- **Proxy traffic:** 1.6 KB\n- **Name:** rotting_vamp\n- **Account:** private\n- **Registered:** 2024-07-11 15:18\n- **Last seen:** 2026-09-30 14:51",
"machine": {
"user": {
"id": "2361055558",
"uuid": "5ffe6c78-223e-481b-b603-0e1f44929d95",
"name": "rotting_vamp",
"image": null,
"alias": null,
"user_type": "user",
"is_business": false,
"has_business_page": null,
"is_online": false,
"created_at": 1720711109,
"last_login_at": 1790195932,
"last_seen_at": 1790779889,
"offers_url": "https://www.olx.pl/oferty/user/2zMKpg/",
"social_network_account_type": null,
"response_time": null,
"response_time_label": null,
"latitude": 49.55815,
"longitude": 22.20117,
"business_type": null,
"company_name": null,
"description": null,
"address_street": null,
"address_number": null,
"address_postcode": null,
"address_city": null,
"website_url": null,
"banner": null
},
"proxy_traffic_bytes": 1669
},
"total_points": 5
}E-commerce & Marketplaces
OLX user
Get an OLX seller profile by id, uuid or profile URL: account type, registration, last seen, response time and business details. 5 point per returned record.
POST
/
functions
/
v1
/
run-olx-users
OLX user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
User. e.g. User id, uuid or profile URL, e.g. 888517085
Marketplace. Options: olx.pl = olx.pl (Poland), olx.ua = olx.ua (Ukraine), olx.ro = olx.ro (Romania), olx.bg = olx.bg (Bulgaria), olx.pt = olx.pt (Portugal), olx.kz = olx.kz (Kazakhstan), olx.uz = olx.uz (Uzbekistan)
Available options:
olx.pl, olx.ua, olx.ro, olx.bg, olx.pt, olx.kz, olx.uz Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.